Bug 1295507 - After click on Force Unlock you have to close and reopen Business Process to work with them
After click on Force Unlock you have to close and reopen Business Process to ...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
All All
high Severity high
: DR1
: 6.3.0
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
:
: 1275353 (view as bug list)
Depends On: 1283222
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 12:57 EST by Alessandro Lazarotti
Modified: 2016-02-09 12:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1283222
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Lazarotti 2016-01-04 12:57:56 EST
+++ This bug was initially created as a clone of Bug #1283222 +++

Description of problem:
If user will use Force Unlock button to unlock Business Process he have to reopen the Business Process to make some changes. See Attachment.

Version-Release number of selected component (if applicable):
6.2.CR1

How reproducible:
always

Steps to Reproduce:
1. Open a Business Process and start to edit it by user A
2. Open this BP with user B and use Force Unlock button
3. Try to modify BP by user B

Actual results:
You have to reopen the Business Process

Expected results:
You can modify the project immediately.

--- Additional comment from Kirill Gaevskii on 2015-11-18 09:55:50 EST ---

Update: the same situation when user A will unlock it by himself. User B also has to reload the Business Process for start modification. See attachment "Can not to modify after unlocking".

P.S. not sure maybe it is another bug not related with this one.

--- Additional comment from Kirill Gaevskii on 2015-11-18 09:56 EST ---
Comment 1 Tihomir Surdilovic 2016-01-11 09:00:29 EST
6.3.x commit: https://github.com/droolsjbpm/jbpm-designer/commit/8a144d7fa16cfd8cbd70a44b2a8a8942602640a9

please retest let us know if there is anything else for this.

The fix for this BZ has been done earlier as part of BZ 1283214.
Comment 2 Tihomir Surdilovic 2016-01-11 09:00:51 EST
*** Bug 1275353 has been marked as a duplicate of this bug. ***
Comment 3 Kirill Gaevskii 2016-02-09 12:20:39 EST
Verified for 6.3 DR1

Note You need to log in before you can comment on or make changes to this bug.